2019-12-10 03:13 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002000FSSCPgameplaypublic2010-03-24 06:50
ReporterAardwolf 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.12 RC2 
Summary0002000: Skip mission dialog appears after successful completion
DescriptionIf I've failed a mission 5 times (thus causing the skip mission dialog to show at least once legitimately), and then I complete it successfully, when the debriefing comes up, the skip dialog shows up again.
Additional InformationI haven't thoroughly examined the effects of clicking different options, because I don't want to be forced to retry the mission again.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011761

Aardwolf (reporter)

more info here: http://www.hard-light.net/forums/index.php?topic=68282.0

~0011768

karajorma (administrator)

The basic issue here is that the in-mission popup uses Popupdead_skip_already_shown while the debriefing one uses Debrief_skip_popup_already_shown and neither is aware of if the other one has been shown. It would probably make sense to simply replace the two with a single variable that handles both popups instead.

~0011769

Aardwolf (reporter)

Could that have caused the cases where it prevented me from proceeding, even after successful completion?

~0011770

karajorma (administrator)

Not as far as I can see. That's what's confusing me. If you get this to happen again send me the pilot file and the cs2 file and I'll see if I can recreate it.

If you can't, I'll just fix this issue and hope the other one is collateral damage

~0011829

karajorma (administrator)

Should be fixed now. Still no idea about the cause of the other issue with this dialog from the forums though. Hopefully that issue will disappear now too.
+Notes

-Issue History
Date Modified Username Field Change
2009-09-28 14:56 Aardwolf New Issue
2010-03-10 01:28 karajorma Status new => assigned
2010-03-10 01:28 karajorma Assigned To => karajorma
2010-03-10 01:29 Aardwolf Note Added: 0011761
2010-03-11 07:31 karajorma Note Added: 0011768
2010-03-11 14:25 Aardwolf Note Added: 0011769
2010-03-12 10:49 karajorma Note Added: 0011770
2010-03-24 06:50 karajorma Note Added: 0011829
2010-03-24 06:50 karajorma Status assigned => resolved
2010-03-24 06:50 karajorma Fixed in Version => 3.6.12 RC2
2010-03-24 06:50 karajorma Resolution open => fixed
+Issue History